gnutls_certificate_set_ocsp_status_request_function(3)

NAME
gnutls_certificate_set_ocsp_status_request_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_set_ocsp_status_request_function(gnutls_certificate_credentials_t sc, gnutls_status_request_ocsp_func ocsp_func, void * ptr);

ARGUMENTS

gnutls_certificate_credentials_t sc
    is a gnutls_certificate_credentials_t structure.

gnutls_status_request_ocsp_func ocsp_func
    function pointer to OCSP status request callback.

void * ptr
    opaque pointer passed to callback function

DESCRIPTION
This function is to be used by server to register a callback to handle OCSP status requests from the client. The callback will be invoked if the client supplied a status-request OCSP extension. The callback function prototype is: typedef int (*gnutls_status_request_ocsp_func) (gnutls_session_t session, void *ptr, gnutls_datum_t *ocsp_response); The callback will be invoked if the client requests an OCSP certificate status. The callback may return GNUTLS_E_NO_CERTIFICATE_STATUS, if there is no recent OCSP response. If the callback returns GNUTLS_E_SUCCESS, the server will provide the client with the ocsp_response. The response must be a value allocated using gnutls_malloc(), and will be deinitialized when needed.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

SINCE
3.1.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/